local self_ID = "An-30M"
declare_plugin(self_ID,
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

displayName  = _("An-30M"),
fileMenuName = _("An-30M"),
version		 = "2.5.6",
state		 = "installed",
info		 = _("The Antonov An-30 (NATO reporting name: Clank), is a development of the An-24 designed for aerial cartography. The first aerial survey version of the Antonov An-24 was designed by the Beriev OKB and designated An-24FK. The prototype was converted from a production An-24A at Beriev's No. 49 construction shop during 1966. The An-24FK made its first flight on 21 August 1967, with state acceptance trials being completed in 1970 and civil certification completed in 1974. Redesignated An-30, production began in 1971 at the Antonov factory. 123 production An-30s were manufactured between 1971 and 1980 in Kiev in two main versions."),





InputProfiles =
{
    ["An-30M"] = current_mod_path .. '/Input/An-30M',
},




Skins	=
	{
		{
			name	= _("An-30M"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("An-30M"),
			dir			    = "Missions",
		},
	},		
Options = 
	{
		{
			name		= _("An-30M"),
			nameId		= "An-30M",
			dir			= "Options",
		},
	},
LogBook =
	{
		{
			name		= _("An-30M"),
			type		= "An-30M",
		},
	},		
})

mount_vfs_liveries_path(current_mod_path ..  "/Liveries")
mount_vfs_model_path   (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_texture_path (current_mod_path ..  "/Theme/ME")--for simulator loading window

mount_vfs_sound_path   (current_mod_path ..  "/Sounds")

local support_cockpit = current_mod_path..'/Cockpit/Scripts/'

----------------------------------------------------------------------------------------
MAC_flyable('An-30M', support_cockpit, nil, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------

dofile(current_mod_path.."/Views.lua") --View Settings.

make_view_settings('An-30M', ViewSettings, SnapViews) 

plugin_done()
